EBOOK-CONVERT(1)

NAME
ebook-convert - ebook-convert

ebook-convert input_file output_file [alternativ]

Konvertera en e-bok från ett format till ett annat.

input_file är inmatningsfilen och output_file är utmatningsfilen. Båda måste anges som de två första argumenten i kommandot.

Utmatningsformatet för e-boken uppskattas utifrån filändelsen i output_file. output_file kan även ges specialformatet .EXT, där EXT är utmatningsfilsändelsen. Om det används kommer namnet på utmatningsfilen att härledas från namnet på inmatningsfilen. Observera att filnamnen inte får börja med bindestreck. Om ingen filinsticksmodul har angivits för utmatningsfilen, så behandlas den som en mapp till vilken en "Öppen e-bok" (OEB) bestående av HTML filer kommer att skrivas till den mappen. Dessa filer är de filer som normalt sett skulle ha skickats till utmatningsinsticksmodulen.

Efter att ha angivit in- och utmatningsfilerna kan du anpassa konverteringen genom att ange olika alternativ. Vilka alternativ som är tillgängliga beror på in- och utmatningsfiltyperna. För att få hjälp med dem, ange in- och utmatningsfilerna och lägg därefter till alternativet -h.

För fullständig dokumentation om konverteringssystemet, gå till Konvertering av e-bok

När du skickar argument till ebook-convert som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

Alternativen och standardvärden för ändringsalternativ beror på både inmatning- och utmatningsformat, därför bör du alltid kontrollera med:

ebook-convert myfile.input_format myfile.output_format -h

Nedan finns alternativen som är vanliga vid all konvertering följt av alternativen unika för varje inmatning- och utmatningsformat.

•   ALTERNATIV FÖR INMATNING

•   ALTERNATIV FÖR UTMATNING

•   UTSEENDE OCH KÄNSLA

•   HEURISTISK BEARBETNING

•   SÖK OCH ERSÄTT

•   STRUKTURDETEKTERING

•   INNEHÅLLSFÖRTECKNING

•   METADATA

•   FELSÖK

--help, -h
    visa denna hjälptext och avsluta

--input-profile
    Ange inmatningsprofilen. Inmatningsprofilen ger information till konverteringssystemet om hur uppgifterna i inmatningsdokumentet ska tolkas. Till exempel upplösningsberoende längder (dvs. längder i pixlar). Alternativen är: cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, irexdr1000, irexdr800, kindle, msreader, mobipocket, nook, sony, sony300, sony900

--list-recipes
    Lista inbyggda receptnamn. Du kan skapa en e-bok från ett inbyggt recept så här: ebook-convert "Receptnamn.recipe" utmatning.epub

--output-profile
    Ange utdataprofil. Utdataprofilen anger omvandlingen hur systemet kan optimera skapade dokumentet för den angivna enheten. I vissa fall kan en utgång profil kan användas för att optimera resultatet för en viss enhet, men det är sällan nödvändigt. Alternativen är:cybookg3, cybook_opus, default, generic_eink, generic_eink_hd, generic_eink_large, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_scribe, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_inkpad3, pocketbook_lux, pocketbook_hd, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony-landscape, sonyt3, tablet

--version
    visar programmets versionsnummer och avsluta

ALTERNATIV FÖR INMATNING

Alternativ för att anpassa bearbetningen av ingående mobi fil

--input-encoding
    Ange teckenkodning för inmatningsdokumentet. Det här alternativet åsidosätter eventuell teckenkodning som dokumentet själv anger. Särskilt användbart för dokument som inte deklarerar en kodning eller som har felaktiga kodningsdeklarationer.

ALTERNATIV FÖR UTMATNING

Alternativ för att anpassa bearbetningen av utmatning epub

--dont-split-on-page-breaks
    Inaktivera delning vid sidbrytningar. Normalt delas inmatningsfilen automatiskt vid varje sidbrytning i två filer. Detta ger en utmatad e-bok som kan analyseras snabbare och med mindre resurser. Att dela är dock långsamt och om din källfil innehåller ett mycket stort antal sidbrytningar bör du inaktivera delning vid sidbrytning.

--epub-flatten
    Det här alternativet behövs endast om du tänker använda EPUB:en med FBReaderJ. Det plattar ut filsystemet inuti EPUB:en och placerar alla filer i den översta nivån.

--epub-inline-toc
    Infoga en indragsinnehållsförteckning som kommer att visas som en del av bokens innehåll.

--epub-max-image-size
    Maximal bildstorlek (bredd x höjd). Ett värde på none betyder att du använder skärmstorleken från utmatningsprofilen. Ett värde på profile betyder att ingen maximal storlek har angetts. Till exempel kommer ett värde på 100x200 att göra att alla bilder ändras så att deras bredd inte är mer än 100 pixlar och deras höjd inte är mer än 200 pixlar. Observera att detta endast påverkar storleken på själva bildfilerna. Vilken bild som helst kan renderas i en annan storlek beroende på formgivningen som tillämpas på den i dokumentet.

--epub-toc-at-end
    Lägg till den infogade indragsinnehållsförteckningen i slutet av boken istället för i början.

--epub-version
    Versionen av EPUB-filen som ska skapas. EPUB 2 är den mest kompatibla, använd endast EPUB 3 om du vet att du faktiskt behöver det.

--extract-to
    Extrahera innehållet i den skapade EPUB-filen till den angivna mappen. Innehållet i mappen tas bort först, så var försiktig.

--flow-size
    Dela alla HTML-filer som är större än denna storlek (i KiB). Detta är nödvändigt eftersom de flesta EPUB-läsenheter inte kan hantera stora filer. Standardvärdet 260KB är den storlek som krävs för Adobe Digital Editions. Satt till 0 för stänga av storleksbaserad delning.

--no-default-epub-cover
    Om inmatningsfilen inte har något omslag och du inte ställer in ett, skapas normalt ett standardomslag skapats med titel, författare, osv. Med det här alternativet aktiverat skapas inga standardomslag.

--no-svg-cover
    Använd inte SVG-grafik till omslag. Använd om din EPUB-fil kommer att användas på enheter som inte stöder SVG, t.ex. iPhone och JetBook Lite. Om det här alternativet inte väljs, kommer dessa enheter att visa ett tomt omslag.

--preserve-cover-aspect-ratio
    När man använder ett SVG-omslag kommer det här alternativet att få omslaget att skalas om för att täcka det tillgängliga skärmområdet, men bevarar fortfarande dess bildförhållande (förhållandet mellan bredd och höjd). Det innebär att det kan finnas vita kanter på sidorna eller på toppen och botten av bilden, men bilden kommer aldrig att förvrängas. Om det här alternativet inaktiveras, kan bilden bli en aning förvrängd, men det kommer inte finnas några ramar.

--pretty-print
    Om det anges, kommer utmatningsinsticksmodulen att försöka skapa utmatning som är så mänskligt läsbar som möjligt. Det här kanske inte har någon effekt för en del utmatningsinsticksmoduler.

--toc-title
    Titel för alla skapade infogade innehållsförteckningar.

UTSEENDE OCH KÄNSLA

Alternativ för att anpassa utmatningens utseende och känsla

--asciiize
    Translitterera Unicode-tecken till en ASCII-representation. Används med försiktighet, eftersom detta kommer att ersätta Unicode-tecken med ASCII. Det kommer till exempel att ersätta "Pelé" med "Pele". Observera också att i fall där det finns flera representationer av ett tecken (exempelvis tecken som delas av kinesiska och japanska) kommer representationen baserad på det aktuella calibre-gränssnittsspråket att användas.

--base-font-size
    Grundteckensnittsstorleken i punkter. Alla teckensnittsstorlekar i den producerade boken kommer att skalas om baserat på den här storleken. Genom att välja en större storlek kan du få teckensnittet i utmatningen större och vice versa. Som standard, när värdet är noll kommer grundteckensnittsstorleken för teckensnitt att väljas baserat på utmatningsprofilen du väljer.

--change-justification
    Ändra textjusteringen. Värdet "vänster" konverterar all marginaljusterad text i källan till vänsterjusterad text (dvs. ojusterad). Med värdet "justera" konverteras all ojusterad text till mariginaljusterad. Värdet "original" (standard) behåller de inställningar för justering som anges i källfilen. Observera att endast vissa format stöder mariginaljustering.

--disable-font-rescaling
    Inaktivera all omskalning av teckensnittsstorlekar.

--embed-all-fonts
    Bädda in varje teckensnitt som refereras i inmatningsdokumentet som inte redan är inbäddat. Detta kommer att söka i ditt system efter teckensnitt och om de påträffas, kommer de att bäddas in. Inbäddning fungerar bara om det format du konverterar till stöder inbäddade teckensnitt, t.ex. EPUB, AZW3, DOCX eller PDF. Se till att du har rätt licens för att bädda in teckensnitt som används i detta dokument.

--embed-font-family
    Bädda in den angivna teckensnittsfamiljen i boken. Här anges "bas"-teckensnitt som används för boken. Om inmatningsdokumentet specificerar sina egna teckensnitt, kan de åsidosätta detta grundteckensnitt. Du kan använda informationsalternativet filterformat för att ta bort teckensnitt från inmatningsdokumentet. Observera att bädda in teckensnitt endast fungerar med vissa utmatningsformat, främst EPUB, AZW3 och DOCX.

--expand-css
    Som standard kommer calibre att använda stenografiformen för olika CSS-egenskaper som marginal, utfyllnad, kanter, osv. Det här alternativet kommer att få den att använda hela expanderade formen istället. Observera att CSS alltid utökas vid skapande av EPUB-filer med utmatningsprofilen inställd på en av Nook-profilerna eftersom Nook inte kan hantera stenografisk CSS.

--extra-css
    Antingen sökvägen till ett CSS-formatmall eller rå CSS. Denna CSS läggs till i formatreglerna från källfilen, så den kan användas för att åsidosätta dessa regler.

--filter-css
    En kommaseparerad lista över CSS-egenskaper som kommer att tas bort från alla CSS-formatregler. Detta är användbart om förekomsten av viss formatinformation förhindrar att den åsidosätts på din enhet. Till exempel: font-family,color,margin-left,margin-right

--font-size-mapping
    Mappning från CSS-teckensnittsnamn till teckensnittsstorlekar i punkter. En exempelinställning är 12,12,14,16,18,20,22,24. Detta konverterar storlekarna xx-liten till xx-stor, den sista storleken används för enorma teckensnitt. Omskalningsalgoritmen använder dessa storlekar för att på ett smart sätt skala om teckensnitten. Som standard används en kartläggning baserad på din valda utmatningsprofil.

--insert-blank-line
    Infoga en tom rad mellan stycken. Fungerar inte om källfilen inte använder stycken (<p>- eller <div>-taggar).

--insert-blank-line-size
    Ställ in höjden på de infogade tomma raderna (i em). Höjden på raderna mellan styckena kommer att vara det dubbla av det här värdet.

--keep-ligatures
    Bevara ligaturer som finns i inmatningsdokumentet. En ligatur är en speciell rendering av ett teckenpar som ff, fi, fl och så vidare. De flesta läsenheter saknar stöd för ligaturer i deras standardteckensnitt så det är osannolikt att de renderas korrekt. Som standard konverterar calibre en ligatur till motsvarande par av normala tecken. Det här alternativet kommer att bevara ligaturerna istället.

--line-height
    Radavståndet i punkter. Anpassar avstånd mellan på varandra följande textrader. Gäller endast element som inte definierar sitt eget radavstånd. I de flesta fall är det minsta radavståndet valet mer användbart. Som standard utför ingen ändring i radavstånd.

--linearize-tables
    Vissa dåligt utformade dokument använder tabeller för att anpassa textutformningen för texten på sidan. Vid konvertering har dessa dokument ofta text som går utanför sidan och andra artefakter. Det här alternativet extraherar innehållet från tabellerna och presenterar det linjärt.

--margin-bottom
    Ställ in nedre marginalen i punkter. Standard är 5.0. Om du ställer in det här till mindre än noll kommer ingen marginal att ställas in (marginalinställningen i originaldokumentet bevaras). Observera: Sidorienterade format som PDF och DOCX har egna marginalinställningar som har företräde.

--margin-left
    Ställ in vänstra marginalen i punkter. Standard är 5.0. Om du ställer in det här till mindre än noll kommer ingen marginal att ställas in (marginalinställningen i originaldokumentet bevaras). Observera: Sidorienterade format som PDF och DOCX har egna marginalinställningar som har företräde.

--margin-right
    Ställ in högra marginalen i punkter. Standard är 5.0. Om du ställer in det här till mindre än noll kommer ingen marginal att ställas in (marginalinställningen i originaldokumentet bevaras). Observera: Sidorienterade format som PDF och DOCX har egna marginalinställningar som har företräde.

--margin-top
    Ställ in övre marginalen i punkter. Standard är 5.0. Om du ställer in det här till mindre än noll kommer ingen marginal att ställas in (marginalinställningen i originaldokumentet bevaras). Observera: Sidorienterade format som PDF och DOCX har egna marginalinställningar som har företräde.

--minimum-line-height
    Minsta radavståndet, i procent av elementets beräknade teckensnittsstorlek. calibre kommer att säkerställa att varje element har ett radavstånd på åtminstone den här inställningen, oavsett vad ingångsdokumentet specificerar. Ställ in till noll för att inaktivera. Standard är 120%. Använd den här inställningen i stället för det direkt angivna radavståndet, om du inte vet vad du gör. Till exempel kan du uppnå "dubbel radavstånd" i texten genom att ställa in det här till 240.

--remove-paragraph-spacing
    Ta bort avstånd mellan stycken. Drar även in första raden på det nya stycket med 1,5 em. Borttagning av avstånd fungerar inte om källfilen inte använder stycken (<p>- eller <div>-taggar).

--remove-paragraph-spacing-indent-size
    När calibre tar bort tomma rader mellan stycken, anger det automatiskt ett styckeindrag, för att se till att styckeindelningen syns tydligt. Det här alternativet bestämmer bredden för indraget (i em). Om du anger ett negativt värde kommer indraget som anges i inmatningsdokumentet användas, det vill säga, calibre ändrar inte indraget.

--smarten-punctuation
    Konvertera rena citattecken, bindestreck och ellipser till deras typografiskt korrekta motsvarigheter. För detaljer, se https://daringfireball.net/projects/smartypants.

--subset-embedded-fonts
    Använd delmängd av alla inbäddade teckensnitt. Varje inbäddat teckensnitt reduceras till endast innehålla de glyfer som används i detta dokument. Detta minskar storleken på teckensnittsfiler. Användbart om du bäddar in ett särskilt stort teckensnitt med massor av oanvända glyfer.

--transform-css-rules
    Sökväg till en fil som innehåller regler för att omvandla CSS-format i den här boken. Det enklaste sättet att skapa en sådan fil är att använda guiden för att skapa regler i det grafiska gränssnittet för calibre. Gå till det i avsnittet "Utseende & känsla->Omvandla format" i konverteringsdialogrutan. När du har skapat reglerna kan du använda knappen "Exportera" för att spara dem till en fil.

--transform-html-rules
    Sökväg till en fil som innehåller regler för att omvandla HTML i den här boken. Det enklaste sättet att skapa en sådan fil är att använda guiden för att skapa regler i det grafiska gränssnittet för calibre. Öppna den i avsnittet "Utseende & känsla->Omvandla HTML" i konverteringsdialogrutan. När du har skapat reglerna kan du använda knappen "Exportera" för att spara dem i en fil.

--unsmarten-punctuation
    Konvertera tjusiga citattecken, streck och ellipser till deras vanliga motsvarigheter.

HEURISTISK BEARBETNING

Ändra dokumenttexten och strukturen med vanliga mönster. Inaktiverad som standard. Använd --enable-heuristics för att aktivera. Individuella åtgärder kan inaktiveras med alternativen --disable-
*
.

--disable-dehyphenate
    Analysera avstavade ord i hela dokumentet. Själva dokumentet används som en ordbok för att avgöra om bindestreck ska behållas eller tas bort.

--disable-delete-blank-paragraphs
    Ta bort tomma stycken från dokumentet när de förekommer mellan vartannat stycke

--disable-fix-indents
    Vändningsindrag som skapats från flera icke-brytande blankstegsenheter i CSS-indrag.

--disable-format-scene-breaks
    Vänsterjusterade scenbrytningsmarkörer är centrerade. Ersätt mjuka scenbrytningar som använder flera tomma rader med horisontella regler.

--disable-italicize-common-cases
    Leta efter vanliga ord och mönster som betecknar kursivt format och kursiverar dem.

--disable-markup-chapter-headings
    Identifiera oformaterade huvud- och underrubriker. Ändra dem till H2- och H3-taggar. Den här inställningen kommer inte att skapa en innehållsförteckning, men kan användas i kombination med strukturidentifiering för att skapa ett.

--disable-renumber-headings
    Letar efter förekomster av sekventiella <h1>- eller <h2>-taggar. Taggarna numreras om för att förhindra uppdelning i mitten av kapitelrubrikerna.

--disable-unwrap-lines
    Radbrytning genom att använda skiljetecken och andra formateringsindikationer.

--enable-heuristics
    Aktivera heuristisk bearbetning. Det här alternativet måste ställas in för att någon heuristisk bearbetning ska kunna äga rum.

--html-unwrap-factor
    Skala som används för att bestämma längden på vilken en rad ska radbrytas. Giltiga värden är ett decimaltal mellan 0 och 1. Standard är 0,4, precis under medianradens längd. Om bara ett fåtal rader i dokumentet kräver radbrytning bör detta värde minskas

--replace-scene-breaks
    Ersätt scenbrytningar med den angivna texten. Som standard är texten från inmatningsdokumentet som används.

SÖK OCH ERSÄTT

Ändra dokumenttexten och strukturen med användardefinierade mönster.

--search-replace
    Sökvägen till en fil som innehåller reguljära uttryck för att söka och ersätta. Filen måste innehålla alternerande rader av reguljära uttryck följt av ersättande mönster (vilket kan vara en tom rad). Det reguljära uttrycket ska vara i Python-regex-syntax och filen måste vara UTF-8-kodad.

--sr1-replace
    Ersättning för att ersätta texten som hittades med SR1-sökning.

--sr1-search
    Sökmönster (reguljära uttryck) att ersätta med SR1-ersättning.

--sr2-replace
    Ersättning för att ersätta texten funnen med SR2-sökning.

--sr2-search
    Sökmönster (reguljära uttryck) att ersätta med SR2-ersättning.

--sr3-replace
    Ersättning för att ersätta texten hittades med SR3-sökning.

--sr3-search
    Sökmönster (reguljära uttryck) att ersätta med SR3-ersättning.

STRUKTURDETEKTERING

Anpassa automatisk identifiering av dokumentets struktur.

--chapter
    Ett XPath-uttryck för att identifiera kapitelrubrikerna. Standard är att betrakta <h1>- eller <h2>-taggar som innehåller orden "chapter", "book", "section", "prologue", "epilogue" eller "part" som kapitelrubriker samt alla taggar som har class="chapter". Uttrycket som används måste utvärderas till en lista med element. För att inaktivera kapitelidentifiering, använd uttrycket "/". Se XPath-handledningen i användarmanualen för calibre för ytterligare hjälp med att använda den här funktionen.

--chapter-mark
    Anger hur upptäckta kapitel markeras. Värdet "pagebreak" infogar en sidbrytning före kapitel. Värdet "rule" infogar en tom rad före kapitel. Värdet "none" inaktiverar kapitelmarkering och om värdet "both" anges kommer både sidbrytningar och tomma rader att markera kapitel.

--disable-remove-fake-margins
    Vissa dokument anger sidmarginaler genom att ange en vänster- och höger marginal på varje enskild punkt. calibre kommer att försöka identifiera och ta bort dessa marginaler. Ibland kan detta orsaka avlägsnande av marginaler som inte borde ha tagits bort. I detta fall kan du inaktivera borttagning.

--insert-metadata
    Infoga bokens metadata i början av boken. Används om din läsenhet inte kan visa eller söka efter metadata direkt.

--page-breaks-before
    Ett XPath-uttryck. Sidbrytningar infogas före de angivna elementen. För att inaktivera använd uttrycket: /

--prefer-metadata-cover
    Använd omslaget som upptäckts från källfilen framför det angivna omslaget.

--remove-first-image
    Ta bort den första bilden från den inmatade e-boken. Praktiskt om inmatningsdokumentet har en omslagsbild som inte identifieras som ett omslag. Om du anger ett omslag i calibre kommer det resulterande dokumentet ha två omslagsbilder om du inte markerar det här alternativet.

--start-reading-at
    Ett XPath-uttryck för att identifiera platsen i dokumentet där du ska börja läsa. Vissa e-bokläsningsprogram (framförallt Kindle) använder denna plats som position för att öppna boken. Se XPath-handledningen i användarmanualen för calibre för ytterligare hjälp med att använda den här funktionen.

INNEHÅLLSFÖRTECKNING

Anpassa hur innehållsförteckningen skapas. Om källfilen har en innehållsförteckning, kommer denna att användas istället för den automatiskt skapade.

--duplicate-links-in-toc
    När du skapar en innehållsförteckning från länkar i inmatningsdokumentet, tillåt dubbla poster, dvs. tillåt mer än en post med samma text, förutsatt att de hänvisar till en annan plats.

--level1-toc
    XPath-uttryck som anger alla taggar som ska läggas till i innehållsförteckningen på nivå ett. Om detta anges har det företräde framför andra former av automatisk upptäckt. Se XPath-handledningen i användarmanualen för calibre för exempel.

--level2-toc
    XPath-uttryck som anger alla taggar som ska läggas till i innehållsförteckningen på nivå två. Varje post läggs till under föregående nivå ett-post. Se XPath-handledningen i användarmanualen för calibre för exempel.

--level3-toc
    XPath-uttryck som anger alla taggar som ska läggas till i innehållsförteckningen på nivå tre. Varje post läggs till under föregående nivå två-post. Se XPath-handledningen i användarmanualen för calibre för exempel.

--max-toc-links
    Högst antal länkar för att infoga i innehållsförteckningen. Ställ in till 0 för att inaktivera. Standard är: 50. Länkarna läggs endast till innehållsförteckningen om antalet identifierade kapitel är lägre än tröskelvärdet.

--no-chapters-in-toc
    Lägg inte till automatiskt upptäckta kapitel i innehållsförteckningen.

--toc-filter
    Ta bort poster från innehållsförteckningen vilkas titlar matchar det angivna reguljära uttrycket. Matchande poster och alla deras underposter tas bort.

--toc-threshold
    Om färre än detta antal kapitel upptäcks läggs länkar till i innehållsförteckningen. Standard: 6

--use-auto-toc
    Om källfilen redan har en innehållsförteckning, används normalt denna i stället för den automatiskt skapade. Med det här alternativet används alltid den automatiskt skapade.

METADATA

Alternativ för att ställa in metadata i utmatning

--author-sort
    Sträng att användas vid sortering av författaren.

--authors
    Ange författarna. Flera författare ska avgränsas med &-tecken.

--book-producer
    Ange bokens producent.

--comments
    Ange e-bokbeskrivning.

--cover
    Ställ in omslaget till den angivna filen eller URL:en

--isbn
    Ange ISBN för boken.

--language
    Ange språket.

--pubdate
    Ange publiceringsdatum (antas vara i den lokala tidszonen, såvida inte tidszonen uttryckligen anges)

--publisher
    Ange e-bokutgivare.

--rating
    Ange betyg. Bör vara ett nummer mellan 1 och 5.

--read-metadata-from-opf, --from-opf, -m
    Läs metadata från den angivna OPF-filen. Metadata som läses från den här filen åsidosätter alla metadata i källfilen.

--series
    Ange serien denna e-bok tillhör.

--series-index
    Ange bokens index i denna serie.

--tags
    Ange taggarna för boken. Ska vara en kommaseparerad lista.

--timestamp
    Ange bokens tidsstämpel (används inte längre någonstans)

--title
    Ange titeln.

--title-sort
    Versionen av titeln som ska användas för sortering.

FELSÖK

Alternativ som hjälper dig att felsöka konverteringen

--debug-pipeline, -d
    Spara utmatning från olika stadier av konverteringsprocessen till den angivna mappen. Användbart om du är osäker på i vilket skede av konverteringsprocessen ett problem inträffar.

--verbose, -v
    Nivå på informationsnivån. Ange flera gånger för ökad informationsnivå. Att ange den två gånger resulterar i full informationsnivån, en gång i medelinformationsnivån och noll gånger i minsta nivån.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal